Summary:	GNOME Mines
Summary(pl.UTF-8):	Miny dla GNOME
Name:		gnome-mines
Version:	40.0
Release:	3
License:	GPL v3+
Group:		X11/Applications/Games
Source0:	https://download.gnome.org/sources/gnome-mines/40/%{name}-%{version}.tar.xz
# Source0-md5:	569b2b3c4d41fb122ec2f1958d9ded01
URL:		https://wiki.gnome.org/Apps/Mines
BuildRequires:	appstream-glib
BuildRequires:	glib2-devel >= 1:2.40.0
BuildRequires:	gtk+3-devel >= 3.24
BuildRequires:	libgee-devel >= 0.8
BuildRequires:	libgnome-games-support-devel >= 1.7.1
BuildRequires:	librsvg-devel >= 1:2.32.0
BuildRequires:	meson >= 0.37.1
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	vala >= 2:0.24.0
BuildRequires:	vala-libgee >= 0.8
BuildRequires:	vala-libgnome-games-support
BuildRequires:	vala-librsvg >= 1:2.32.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	glib2 >= 1:2.40.0
Requires:	glib2 >= 1:2.40.0
Requires:	gtk+3 >= 3.24
Requires:	hicolor-icon-theme
Requires:	libgnome-games-support >= 1.7.1
Requires:	librsvg >= 1:2.32.0
Provides:	gnome-games-gnomine = 1:%{version}-%{release}
Obsoletes:	gnome-games-gnomine < 1:3.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mines (previously gnomine) is a puzzle game where you locate mines
floating in an ocean using only your brain and a little bit of luck.

%description -l pl.UTF-8
Mines (dawniej gnomine) to układanka, w której należy zlokalizować
przywające w oceanie miny, korzystając z własnego mózgu oraz odrobiny
szczęścia.

%prep
%setup -q

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README.md
%attr(755,root,root) %{_bindir}/gnome-mines
%{_datadir}/glib-2.0/schemas/org.gnome.Mines.gschema.xml
%{_datadir}/gnome-mines
%{_datadir}/metainfo/org.gnome.Mines.appdata.xml
%{_desktopdir}/org.gnome.Mines.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Mines.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Mines-symbolic.svg
%{_mandir}/man6/gnome-mines.6*
%changelog
* Mon Nov 22 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-mines.git;a=log;h=master

* Mon Nov 22 2021 Jan Rękorajski <baggins@pld-linux.org> ac15bb4
- updated BRs, rel 3

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> d949254
- rebuild with separate debuginfo build-ids

* Fri Mar 26 2021 Jakub Bogusz <qboosh@pld-linux.org> 2faaa85
- updated to 40.0

* Mon Aug 17 2020 Jakub Bogusz <qboosh@pld-linux.org> 51058ab
- updated to 3.36.1

* Fri Apr 17 2020 Jakub Bogusz <qboosh@pld-linux.org> 5213e8d
- updated to 3.36.0

* Wed Nov 13 2019 Jakub Bogusz <qboosh@pld-linux.org> 2e43913
- updated to 3.34.0

* Wed Mar 21 2018 Jan Rękorajski <baggins@pld-linux.org> c530319
- release 2 (by relup.sh)

* Tue Mar 21 2017 Marcin Banasiak <marcin.banasiak@gmail.com> b46c4f1
- Update to 3.24.0

* Fri Nov 11 2016 Marcin Banasiak <marcin.banasiak@gmail.com> b6babaf
- Update to 3.22.2

* Mon Oct 17 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 385866d
- Update to 3.22.1

* Thu Oct 06 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 9096994
- Update to 3.22.0

* Thu Nov 12 2015 Jakub Bogusz <qboosh@pld-linux.org> c11d65a
- updated to 3.18.2

* Sat Oct 24 2015 Jakub Bogusz <qboosh@pld-linux.org> 014addf
- updated to 3.18.1

* Sun May 17 2015 Jakub Bogusz <qboosh@pld-linux.org> 05ba049
- BR: appstream-glib-devel (APPSTREAM_XML in configure.ac)
- verbose icons files in system tree

* Sun May 10 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 61a36e4
- Update to 3.16.1

* Mon Jun 23 2014 Jakub Bogusz <qboosh@pld-linux.org> d4c735f
- more verbose icon files, updated gtk+3 version

* Thu May 15 2014 Marcin Banasiak <marcin.banasiak@gmail.com> e93a590
- Update to 3.12.2

* Sun Apr 27 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 709853e
- Update to 3.12.1

* Sun Apr 13 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 5b19c15
- New

